![]() |
API Documentation
|
where {clientInfoId} is the ID for the client application's configuration information.
GET - used to retrieve information about a registered client application, based on this application's configuration information ID. PUT - used to modify the fields of a registered client application.DELETE - used to delete a client application.Note: The
GETandDELETEmethods take no parameters.
This API endpoint serves a number of purposes:
GET method of the <access-service>/api/v1/clientapps API endpoint, which retrieves a list of field information for all client applications on the Covata Platform. GET method call to this API endpoint is also returned in the response from a GET method call to the <access-service>/api/v1/clientapps endpoint. Therefore, there is no need to call the GET method on this API endpoint (if you do not already have the client application's configuration information ID).This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide):
The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.
The appropriate access token as the Bearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6The following header is required if the body of the request has a JSON object:
Content-Type: application/jsonThe following optional parameters can also be sent in the body of the PUT request, each as individual members of a JSON object:
registeredRedirectUris - .
Example ():
A JSON-formatted response containing the following members:
enabled - .
Example (response from ...):
If the request succeeded, then an HTTP response status 200 OK is returned.